Index: X/.Xdefaults
===================================================================
--- X/.Xdefaults	(revision fde9de8aaab787061625952015d69db18c82c878)
+++ X/.Xdefaults	(revision fc6fa17a6ea1b781124c6d25243df97573d5c05f)
@@ -47,5 +47,9 @@
 xterm*locale: true
 xterm*vt100.locale: true
-xterm*font: x:-adobe-courier-medium-r-normal--14-140-75-75-m-90-iso8859-1
+! xterm*font: x:-misc-fixed-medium-r-normal--14-130-75-75-c-70-iso10646-1
+! xterm*font: x:-misc-fixed-bold-r-normal--15-*-75-75-c-90-iso10646-1
+xterm*font: x:-adobe-courier-bold-r-normal--14-*-75-75-m-90-iso10646-1
+xterm*boldMode: false
+! xterm*font: x:-adobe-courier-medium-r-normal--14-140-75-75-m-90-iso8859-1
 ! xterm*boldFont: x:-adobe-courier-medium-r-bold--14-140-75-75-m-90-iso8859-1
 xterm*vt100.allowBoldFonts: True
@@ -62,5 +66,9 @@
 xterm.pointerColor: red
 
-*font: x:-adobe-courier-medium-r-normal--14-140-75-75-m-90-iso8859-1
+! *font: x:-adobe-courier-medium-r-normal--14-140-75-75-m-90-iso8859-1
+! *font: x:-misc-fixed-medium-r-normal--14-130-75-75-c-70-iso10646-1
+*font: -adobe-courier-bold-r-normal--14-*-75-75-m-90-iso10646-1
+*boldFont: x:-adobe-courier-bold-r-normal--14-*-75-75-m-90-iso10646-1
+*boldMode: false
 
 emacs.toolBar: 0
@@ -68,6 +76,9 @@
 emacs.geometry:=80x49+270+0
 ! emacs.font: Unifont-12
-emacs.font: -adobe-courier-medium-r-normal--14-140-75-75-m-90-iso8859-1
-emacs.boldFont: x:-adobe-courier-medium-r-bold--14-140-75-75-m-90-iso8859-1
+! emacs.font: -adobe-courier-medium-r-normal--14-140-75-75-m-90-iso8859-1
+! emacs.font: -misc-fixed-medium-r-normal--14-130-75-75-c-70-iso10646-1
+emacs.font: -adobe-courier-bold-r-normal--14-*-75-75-m-90-iso10646-1
+emacs.boldFont: -adobe-courier-bold-o-normal--14-*-75-75-m-90-iso10646-1
+! emacs.boldFont: x:-adobe-courier-medium-r-bold--14-140-75-75-m-90-iso8859-1
 emacs.menuBar: 0
 emacs.verticalScrollBars: off
Index: emacs/.emacs.d/.emacs-config.org
===================================================================
--- emacs/.emacs.d/.emacs-config.org	(revision fde9de8aaab787061625952015d69db18c82c878)
+++ emacs/.emacs.d/.emacs-config.org	(revision fc6fa17a6ea1b781124c6d25243df97573d5c05f)
@@ -28,5 +28,5 @@
 
   (setq package-archives '(("gnu" . "http://elpa.gnu.org/packages/")
-		     ("melpa" . "http://melpa.org/packages/")))
+  		     ("melpa" . "http://melpa.org/packages/")))
 
   (when (< emacs-major-version 27)
@@ -82,6 +82,6 @@
 #+BEGIN_SRC emacs-lisp :tangle init.el
   (setq config-dotfiles-path "/home/w96k/projects/dotfiles/emacs/.emacs.d/"
-	config-path "~/.emacs.d/"
-	config-name ".emacs-config.org")
+  	config-path "~/.emacs.d/"
+  	config-name ".emacs-config.org")
 
   (defun config-visit ()
@@ -483,6 +483,5 @@
 #+begin_src emacs-lisp :tangle init.el
   (use-package rmsbolt
-    :defer t
-    :hook (prog-mode . rmsbolt-mode))
+    :defer t)
 #+end_src
 
@@ -1224,2 +1223,29 @@
 #+end_src
 
+** Window Divider
+#+begin_src emacs-lisp :tangle init.el
+  (window-divider-mode t)
+#+end_src
+
+** Use specific font for major modes
+#+begin_src emacs-lisp :tangle init.el
+  (buffer-face-mode t)
+
+  (defun set-normal-font ()
+    "Set normal weight font in current buffer"
+    (interactive)
+    (buffer-face-mode 1)
+    (setq buffer-face-mode-face '(:weight normal))
+    (buffer-face-mode))
+
+  ;; Use monospaced font faces in current buffer
+  (defun set-bold-font ()
+    "Sets a bold font in current buffer"
+    (interactive)
+    (buffer-face-mode 1)
+    (setq buffer-face-mode-face '(:weight bold))
+    (buffer-face-mode))
+
+  (add-hook 'dired-mode-hook 'set-normal-font)
+  (add-hook 'org-mode-hook 'set-normal-font)
+#+end_src
Index: guix/.dotfiles/.bashrc
===================================================================
--- guix/.dotfiles/.bashrc	(revision fde9de8aaab787061625952015d69db18c82c878)
+++ guix/.dotfiles/.bashrc	(revision fc6fa17a6ea1b781124c6d25243df97573d5c05f)
@@ -1,2 +1,5 @@
 export GUIX_PACKAGE_PATH=$HOME/.guix-packages
 export GUIX_EXTRA_PROFILES=$HOME/.guix-extra-profiles
+
+export PS1="\e[0;34m\u@\e[0;35m\h \e[0;30m\w\${GUIX_ENVIRONMENT:+ [env]}$ "
+
Index: guix/.dotfiles/home-configuration.scm
===================================================================
--- guix/.dotfiles/home-configuration.scm	(revision fde9de8aaab787061625952015d69db18c82c878)
+++ guix/.dotfiles/home-configuration.scm	(revision fc6fa17a6ea1b781124c6d25243df97573d5c05f)
@@ -20,10 +20,16 @@
 (define wkz-home (home-environment
 		  (packages (specifications->packages (list
-						       "guix"
+							"mg"
 						       "ratpoison"
+							"xterm"
+							"screen"
 						       "xdot"
 						       "graphviz"
 						       "sed"
-						       "darktable"
+						       ;;"darktable"
+
+						       "global"
+						       "emacs-ggtags"
+						       "emacs-semantic-refactor"
                                             "openssh"
                                             "docker-compose"
@@ -33,5 +39,8 @@
 					    "emacs-xterm-color"
                                             "emacs-lsp-mode"
+					    
 					    "emacs-helm"
+					    "emacs-helm-gtags"
+					    
 					    "emacs-magit"
 					    "emacs-git-timemachine"
@@ -42,4 +51,9 @@
 					    "emacs-mastodon"
 					    "emacs-org-roam"
+					    "emacs-undo-tree"
+					    "emacs-expand-region"
+
+					    "emacs-nyxt"
+					    "nyxt"
 
 					    "guile"
@@ -50,13 +64,18 @@
 					    
 					    ;;"emacs-telega"
+					    ;;"emacs-telega-contrib"
 					    "emacs-guix"
 					    "emacs-simple-httpd"
 					    "emacs-osm"
+					    "translate-shell"
                                             "wget"
                                             "bitcoin-core"
+					    "monero"
+					    "monero-gui"
                                             "xrandr"
                                             "unzip"
                                             "zip"
                                             "mpv"
+					    "ffmpeg"
                                             "emacs-rmsbolt"
                                             "git"
@@ -70,8 +89,8 @@
                                             "emacs-simple-httpd"
                                             "emacs-guix"
-                                            "gimp"
+                                            ;;"gimp"
                                             "imagemagick"
                                             "stow"
-                                            "icecat"
+                                            ;;"icecat"
                                             "smartmontools"
                                             "lshw"
@@ -88,8 +107,7 @@
                                             "grep"
 					    "xlockmore"
-					    "bitcoin-core"
 					    "x11-ssh-askpass"
 					    "pinentry-emacs"
-					    "texlive"
+					    ;;"texlive"
 					    "fetchmail"
 					    "gnupg"
@@ -97,5 +115,11 @@
 
 					    "universal-ctags"
+					    
 					    "c-intro-and-ref"
+					    "sicp"
+
+					    "font-xfree86-type1"
+					    "xlsfonts"
+					    "font-alias"
 					    ;; "wkz-php"
 					    ;; "wkz-python"
@@ -125,10 +149,10 @@
 		   ))
 
-    (service home-redshift-service-type
-	     (home-redshift-configuration
-	      (location-provider 'manual)
-	      (latitude 41.71)
-	      (longitude 44.82)
-	      ))
+;;    (service home-redshift-service-type
+;;	     (home-redshift-configuration
+;;	      (location-provider 'manual)
+;;	      (latitude 41.71)
+;;	      (longitude 44.82)
+;;	      ))
 
     ;; (service home-x11-display-service-type)
@@ -139,7 +163,7 @@
           (ssh-support? #t)))
 
-	 (service home-unclutter-service-type
-		  (home-unclutter-configuration
-		   (idle-timeout 1)))
+;;	 (service home-unclutter-service-type
+;;		  (home-unclutter-configuration
+;;		   (idle-timeout 1)))
 
 	 (service home-openssh-service-type
Index: guix/config-desktop.scm
===================================================================
--- guix/config-desktop.scm	(revision fde9de8aaab787061625952015d69db18c82c878)
+++ guix/config-desktop.scm	(revision fc6fa17a6ea1b781124c6d25243df97573d5c05f)
@@ -7,5 +7,5 @@
              (gnu home services shells))
 
-(use-service-modules guix cups desktop networking ssh xorg docker nix admin vnc lightdm syncthing virtualization databases)
+(use-service-modules guix cups desktop networking ssh xorg docker nix admin vnc lightdm syncthing virtualization databases linux)
 (use-package-modules gnome xdisorg vnc databases)
 
@@ -34,10 +34,4 @@
                 (home-directory "/home/w96k")
                 (supplementary-groups '("wheel" "netdev" "audio" "video" "docker")))
-	       (user-account
-                (name "wkz")
-                (comment "wkz")
-                (group "users")
-                (home-directory "/home/wkz")
-                (supplementary-groups '("wheel" "netdev" "audio" "video" "docker")))
                %base-user-accounts))
 
@@ -48,7 +42,5 @@
     specification->package
     '(
-      "ratpoison"
-      "xterm"
-      "screen"
+
       ))
    %base-packages))
@@ -61,4 +53,9 @@
 	   (service block-facebook-hosts-service-type)
 
+	   (service zram-device-service-type
+                            (zram-device-configuration
+                              (compression-algorithm 'zlib)
+                              (priority 100)))
+
 	   (service tor-service-type)
 	   (service openssh-service-type)
@@ -70,11 +67,10 @@
            ;;    (memory-size 1024)))
 	   
-	   (service nix-service-type (nix-configuration
-				      (extra-options '("--extra-experimental-features nix-command"))))
+	   ;; (service nix-service-type)
 
-	   (service xvnc-service-type (xvnc-configuration
-                                       (display-number 10)
-                                       (localhost? #f)
-                                       (geometry "1280x800")))
+	   ;; (service xvnc-service-type (xvnc-configuration
+           ;;                             (display-number 10)
+           ;;                             (localhost? #f)
+           ;;                             (geometry "1280x800")))
 
 	   (service syncthing-service-type
@@ -109,8 +105,12 @@
 			   (delete usb-modeswitch-service-type)
 			   (delete geoclue-service-type)
+			   ;;(delete elogind-service-type)
+			   (delete colord-service-type)
 			   
 			   
 			   (guix-service-type config => (guix-configuration
 							 (inherit config)
+							                                  ;; Rely on btrfs compression.
+							 (log-compression 'none)
 							 (extra-options '("--max-jobs=10"))
 							 (substitute-urls
@@ -131,25 +131,27 @@
 			   (delete gdm-service-type))))
 
+  (mapped-devices (list (mapped-device
+                          (source (uuid
+                                   "03db8d78-051b-4a11-a7e5-b62ae0f530d4"))
+                          (target "cryptroot")
+                          (type luks-device-mapping))))
+
+  ;; The list of file systems that get "mounted".  The unique
+  ;; file system identifiers there ("UUIDs") can be obtained
+  ;; by running 'blkid' in a terminal.
+  (file-systems (cons* (file-system
+                         (mount-point "/")
+                         (device "/dev/mapper/cryptroot")
+                         (type "btrfs")
+			 (options "compress=zlib:6,autodefrag")
+                         (dependencies mapped-devices))
+                       (file-system
+                         (mount-point "/boot/efi")
+                         (device (uuid "6ECD-551F"
+                                       'fat32))
+                         (type "vfat")) %base-file-systems))
+ 
  (bootloader (bootloader-configuration
               (bootloader grub-efi-bootloader)
               (targets (list "/boot/efi"))
-              (keyboard-layout keyboard-layout)))
- (mapped-devices (list (mapped-device
-                        (source (uuid
-                                 "6cfe9eed-8cdd-43da-9b9f-cec6f8ec538b"))
-                        (target "cryptroot")
-                        (type luks-device-mapping))))
-
- (file-systems (cons* (file-system
-                       (mount-point "/boot/efi")
-                       (device (uuid "17C5-3E35"
-                                     'fat32))
-                       (type "vfat"))
-                      (file-system
-                       (mount-point "/")
-                       (device "/dev/mapper/cryptroot")
-                       (type "ext4")
-		       (options "discard")
-		       (skip-check-if-clean? #f)
-		       (repair #t)
-                       (dependencies mapped-devices)) %base-file-systems)))
+              (keyboard-layout keyboard-layout))))
